Subject: Bug#1509: Unsupported pack methods

From: Ulrich Sibiller <[email-masked]>
Date: Tue, 1 Dec 2020 12:56:15 +0100

Package: x2goclient
Version: 4.1.2.2

In the session configuration users can choose compressions methods
with "rdp" and "rfb" in the name. Both compression methods are not
supported by nx-libs since version 3.0.x  and will lead to no image
packing being used at all. From the session log:

...
Loop: PANIC! Can't identify pack method for string '16m-rdp-compressed'.
Error: Can't identify pack method for string '16m-rdp-compressed'
...
Info: Using pack method 'none' with session 'unix-kde-depth_32'.
...

This is absolutely counter-intuitive. Users selecting a compression
method on purpose surely do not want to end up with no image
compression at all.

So they should be dropped completely.